# Pilotage de charge deux batteries à trois boutons  
(boutons poussoirs momentanés munis de LED)   


Bouton B1  
Bouton B2  
Bouton OFF 
  
- Appui **long** des boutons B1 et B2 simultanément:  
    - passage en mode charge successive  
    - la batterie de moindre tension est mise en charge (à clarifier. Sinon la Batterie 1)  
    - le bouton correspondant s’allume  
    - l’autre bouton clignote par flashs courts espacés (indiquant le stand-by)  
    - s’il n’y a qu’une batterie, seule celle-ci se met en charge, l’autre bouton restera éteint après avoir clignoté rapidement 5 fois, on passe dans l’état charge normale d’une batterie  
    - s’il y a deux batteries à charger, un appui **court** à n’importe quel moment sur l’un des boutons force la charge de la batterie correspondante, l’autre passe en stand-by. On reste en charge successive  
    - Un appui **long** sur un des boutons force la charge sur la batterie correspondante et arrête le mode stand-by de l’autre batterie (elle ne se chargera pas automatiquement)  

- Appui sur le bouton OFF  
    - quelque soit l’état antérieur, la charge s’arrête pour les deux batteries  
  
- Appui **court** sur l’un des boutons:  
    - si en mode charge successive, voir ci-dessus  
    - sinon passage en charge de la batterie correspondante (si la batterie n’existe pas, clignotement 5 fois puis extinction LED et retour à l’état OFF)  
  
- Détection de fin de charge en charge successive:  
    - quand la tension mesurée atteint le seuil programmé du MPPT moins 200mV  
  
- Détection de fin de charge en charge simple:  
    - on ne fait rien, le MPPT gère.  
